// ************************************************************************ //
// The types declared in this file were generated from data read from the
// WSDL File described below:
// WSDL     : http://91.219.12.29/serviceBus?wsdl
//  >Import : http://91.219.12.29/serviceBus?wsdl>0
// Encoding : UTF-8
// Codegen  : [wfForceSOAP11+]
// Version  : 1.0
// (25.12.2013 17:16:29 - - $Rev: 52705 $)
// ************************************************************************ //

unit serviceBus;

interface

uses InvokeRegistry, SOAPHTTPClient, Types, XSBuiltIns;

const
  IS_OPTN = $0001;
  IS_REF  = $0080;


type

  // ************************************************************************ //
  // The following types, referred to in the WSDL document are not being represented
  // in this file. They are either aliases[@] of other types represented or were referred
  // to but never[!] declared in the document. The types from the latter category
  // typically map to predefined/known XML or Embarcadero types; however, they could also
  // indicate incorrect WSDL documents that failed to declare or import a schema type.
  // ************************************************************************ //
  // !:boolean         - "http://www.w3.org/2001/XMLSchema"[Gbl]
  // !:string          - "http://www.w3.org/2001/XMLSchema"[Gbl]

  ResponsePushData     = class;                 { "http://Fed.edu.segment/gisdo"[GblCplx] }



  // ************************************************************************ //
  // XML       : ResponsePushData, global, <complexType>
  // Namespace : http://Fed.edu.segment/gisdo
  // ************************************************************************ //
  ResponsePushData = class(TRemotable)
  private
    FResult: Boolean;
    FMessage_: string;
    FMessage__Specified: boolean;
    procedure SetMessage_(Index: Integer; const Astring: string);
    function  Message__Specified(Index: Integer): boolean;
  published
    property Result:   Boolean  read FResult write FResult;
    property Message_: string   Index (IS_OPTN) read FMessage_ write SetMessage_ stored Message__Specified;
  end;

  // ************************************************************************ //
  // Namespace : http://Fed.edu.segment/gisdo
  // soapAction: http://Fed.edu.segment/gisdo/%operationName%
  // transport : http://schemas.xmlsoap.org/soap/http
  // style     : document
  // use       : literal
  // binding   : PushDataServiceSoapBinding
  // service   : PushDataService
  // port      : PushDataServiceSoap
  // URL       : http://91.219.12.29/serviceBus
  // ************************************************************************ //
  PushDataServiceSoap = interface(IInvokable)
  ['{BE34F520-FB0E-5625-6C89-AC6E813ABDFE}']
    function  PushZipData(const schema: string; const data: string): ResponsePushData; stdcall;
    function  PushData(const schema: string; const data: string): ResponsePushData; stdcall;
  end;

function GetPushDataServiceSoap(UseWSDL: Boolean=System.False; Addr: string=''; HTTPRIO: THTTPRIO = nil): PushDataServiceSoap;


implementation
  uses SysUtils;

function GetPushDataServiceSoap(UseWSDL: Boolean; Addr: string; HTTPRIO: THTTPRIO): PushDataServiceSoap;
const
  defWSDL = 'http://91.219.12.29/serviceBus?wsdl';
  defURL  = 'http://91.219.12.29/serviceBus';
  defSvc  = 'PushDataService';
  defPrt  = 'PushDataServiceSoap';
var
  RIO: THTTPRIO;
begin
  Result := nil;
  if (Addr = '') then
  begin
    if UseWSDL then
      Addr := defWSDL
    else
      Addr := defURL;
  end;
  if HTTPRIO = nil then
    RIO := THTTPRIO.Create(nil)
  else
    RIO := HTTPRIO;
  try
    Result := (RIO as PushDataServiceSoap);
    if UseWSDL then
    begin
      RIO.WSDLLocation := Addr;
      RIO.Service := defSvc;
      RIO.Port := defPrt;
    end else
      RIO.URL := Addr;
  finally
    if (Result = nil) and (HTTPRIO = nil) then
      RIO.Free;
  end;
end;


procedure ResponsePushData.SetMessage_(Index: Integer; const Astring: string);
begin
  FMessage_ := Astring;
  FMessage__Specified := True;
end;

function ResponsePushData.Message__Specified(Index: Integer): boolean;
begin
  Result := FMessage__Specified;
end;

initialization
  { PushDataServiceSoap }
  InvRegistry.RegisterInterface(TypeInfo(PushDataServiceSoap), 'http://Fed.edu.segment/gisdo', 'UTF-8');
  InvRegistry.RegisterDefaultSOAPAction(TypeInfo(PushDataServiceSoap), 'http://Fed.edu.segment/gisdo/%operationName%');
  InvRegistry.RegisterInvokeOptions(TypeInfo(PushDataServiceSoap), ioDocument);
  { PushDataServiceSoap.PushZipData }
  InvRegistry.RegisterMethodInfo(TypeInfo(PushDataServiceSoap), 'PushZipData', '',
                                 '[ReturnName="PushZipDataResult"]', IS_OPTN);
  { PushDataServiceSoap.PushData }
  InvRegistry.RegisterMethodInfo(TypeInfo(PushDataServiceSoap), 'PushData', '',
                                 '[ReturnName="PushDataResult"]', IS_OPTN);
  RemClassRegistry.RegisterXSClass(ResponsePushData, 'http://Fed.edu.segment/gisdo', 'ResponsePushData');
  RemClassRegistry.RegisterExternalPropName(TypeInfo(ResponsePushData), 'Message_', '[ExtName="Message"]');

end.
